/* ----------------------------------------- */
/*  Fonts                                    */
/* ----------------------------------------- */
@font-face {
  font-family: 'Orbitron';
  font-weight: 300;
  src: url('fonts/Orbitron-Light.ttf') format('truetype');
}
@font-face {
  font-family: 'Orbitron';
  font-weight: 500;
  src: url('fonts/Orbitron-Medium.ttf') format('truetype');
}
@font-face {
  font-family: 'Orbitron';
  font-weight: 700;
  src: url('fonts/Orbitron-Bold.ttf') format('truetype');
}
@font-face {
  font-family: 'Orbitron';
  font-weight: 900;
  src: url('fonts/Orbitron-Black.ttf') format('truetype');
}
.font-heading-light {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 300;
}
.font-heading-medium {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
}
.font-heading-bold {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 700;
}
.font-heading-black {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 900;
}
@font-face {
  font-family: 'Roboto';
  font-weight: 100;
  src: url('fonts/Roboto-Thin.ttf') format('truetype');
}
@font-face {
  font-family: 'Roboto';
  font-weight: 100;
  font-style: italic;
  src: url('fonts/Roboto-ThinItalic.ttf') format('truetype');
}
@font-face {
  font-family: 'Roboto';
  font-weight: 300;
  src: url('fonts/Roboto-Light.ttf') format('truetype');
}
@font-face {
  font-family: 'Roboto';
  font-weight: 300;
  font-style: italic;
  src: url('fonts/Roboto-LightItalic.ttf') format('truetype');
}
@font-face {
  font-family: 'Roboto';
  font-weight: 400;
  src: url('fonts/Roboto-Regular.ttf') format('truetype');
}
@font-face {
  font-family: 'Roboto';
  font-weight: 400;
  font-style: italic;
  src: url('fonts/Roboto-Italic.ttf') format('truetype');
}
@font-face {
  font-family: 'Roboto';
  font-weight: 500;
  src: url('fonts/Roboto-Medium.ttf') format('truetype');
}
@font-face {
  font-family: 'Roboto';
  font-weight: 500;
  font-style: italic;
  src: url('fonts/Roboto-MediumItalic.ttf') format('truetype');
}
@font-face {
  font-family: 'Roboto';
  font-weight: 700;
  src: url('fonts/Roboto-Bold.ttf') format('truetype');
}
@font-face {
  font-family: 'Roboto';
  font-weight: 700;
  font-style: italic;
  src: url('fonts/Roboto-BoldItalic.ttf') format('truetype');
}
@font-face {
  font-family: 'Roboto';
  font-weight: 900;
  src: url('fonts/RobotoBlack.ttf') format('truetype');
}
@font-face {
  font-family: 'Roboto';
  font-weight: 900;
  font-style: italic;
  src: url('fonts/RobotoBlackItalic.ttf') format('truetype');
}
.font-body-thin {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 100;
}
.font-body-light {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 300;
}
.font-body-regular {
  font-family: 'Roboto';
  font-kerning: normal;
  font-stretch: condensed;
  font-weight: 400;
}
.font-body-medium {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 500;
}
.font-body-bold {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 700;
}
.font-body-black {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 900;
}
/* ----------------------------------------- */
/*  Sheet Styles                             */
/* ----------------------------------------- */
/* ----------------------------------------- */
/*  Common Settings                          */
/* ----------------------------------------- */
/* ----------------------------------------- */
/*  Flexbox                                  */
/* ----------------------------------------- */
.flexrow {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
}
.flexrow > * {
  flex: 1;
}
.flexrow .flex1 {
  flex: 1;
}
.flexrow .flex2 {
  flex: 2;
}
.flexrow .flex3 {
  flex: 3;
}
.flexrow .flex4 {
  flex: 4;
}
.flexrow .flex5 {
  flex: 5;
}
.flexcol {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
}
.flexcol > * {
  flex: 1;
}
.flexcol .flex1 {
  flex: 1;
}
.flexcol .flex2 {
  flex: 2;
}
.flexcol .flex3 {
  flex: 3;
}
.flexcol .flex4 {
  flex: 4;
}
.flexcol .flex5 {
  flex: 5;
}
/* ----------------------------------------- */
/*  All Ace Apps                           */
/* ----------------------------------------- */
.ACE {
  /* ----------------------------------------- */
  /*  Element Styles                           */
  /* ----------------------------------------- */
  /* Form Groups */
  /* Tags */
}
.ACE .window-content {
  background: url("ui/sheet-background.jpg") repeat;
  font-size: 13px;
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 500;
}
.ACE input[type="text"],
.ACE input[type="number"],
.ACE select {
  height: calc(100% - 2px);
  border: 1px solid hsl(60, 5%, 40%);
  background: rgba(0, 0, 0, 0.05);
  color: hsl(60, 5%, 20%);
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
  padding: 2px 2px 0;
}
.ACE input[type="text"]:hover,
.ACE input[type="number"]:hover,
.ACE input[type="checkbox"]:hover,
.ACE input[type="text"]:focus,
.ACE input[type="number"]:focus,
.ACE input[type="checkbox"]:focus {
  border: 1px solid #111;
  box-shadow: 0 0 8px red;
}
.ACE input:disabled,
.ACE select:disabled,
.ACE textarea:disabled {
  color: hsl(60, 5%, 30%);
  border: 1px solid transparent !important;
  outline: none !important;
}
.ACE input:disabled:hover,
.ACE select:disabled:hover,
.ACE textarea:disabled:hover,
.ACE input:disabled:focus,
.ACE select:disabled:focus,
.ACE textarea:disabled:focus {
  box-shadow: none !important;
  border: 1px solid transparent !important;
  outline: none !important;
}
.ACE button {
  background: rgba(0, 0, 0, 0.1);
  border: 2px groove hsl(60, 30%, 90%);
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
}
.ACE .form-group label {
  color: hsl(60, 5%, 30%);
  font-weight: bold;
}
.ACE .form-group .form-fields {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
}
.ACE .form-group .form-fields > * {
  flex: 1;
}
.ACE .form-group .form-fields .flex1 {
  flex: 1;
}
.ACE .form-group .form-fields .flex2 {
  flex: 2;
}
.ACE .form-group .form-fields .flex3 {
  flex: 3;
}
.ACE .form-group .form-fields .flex4 {
  flex: 4;
}
.ACE .form-group .form-fields .flex5 {
  flex: 5;
}
.ACE .form-group .form-fields > * {
  margin: 0 3px 0 0;
}
.ACE .form-group .form-fields > *:last-child {
  margin-right: 0;
}
.ACE .form-group.stacked > label {
  flex: 0 0 100%;
  margin: 0;
}
.ACE .form-group.stacked label.checkbox,
.ACE .form-group.stacked label.radio {
  flex: auto;
  text-align: left;
}
.ACE .form-header {
  margin: 0 0 0.25em 0;
  padding: 2px 0;
  border-top: 2px groove hsl(60, 30%, 90%);
  border-bottom: 2px groove hsl(60, 30%, 90%);
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 700;
}
.ACE .tag {
  display: inline-block;
  margin: 0 2px 0 0;
  padding: 0 3px;
  font-size: 10px;
  line-height: 16px;
  border: 1px solid #999;
  border-radius: 4px;
  background: rgba(0, 0, 0, 0.05);
}
/* ----------------------------------------- */
/*  Hit Dice Config Sheet Specifically       */
/* ----------------------------------------- */
.ACE.hd-config .form-group button.increment,
.ACE.hd-config .form-group button.decrement {
  flex: 0 0 1rem;
  line-height: 1rem;
}
.ACE.hd-config .form-group button.decrement {
  margin-right: 0;
}
.ACE.hd-config .form-group span.sep {
  margin: 0;
}
.ACE.hd-config .form-group input {
  flex: 0 0 2rem;
  text-align: center;
  margin-left: 2px;
  margin-right: 2px;
}
/* ----------------------------------------- */
/*  Entity Sheets Specifically               */
/* ----------------------------------------- */
.ACE.sheet {
  /* ----------------------------------------- */
  /*  Element Styles                           */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  TinyMCE                                  */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Notifications                            */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Sheet Header                             */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Sheet Navigation                         */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Sheet Body                               */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  List Filters                             */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Trait Lists                              */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Items Lists                              */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Active Effects                           */
  /* ----------------------------------------- */
}
.ACE.sheet .window-content {
  overflow-y: hidden;
  padding: 5px;
  background: url("ui/sheet-background.jpg") repeat;
  font-size: 13px;
  color: hsl(60, 5%, 20%);
}
.ACE.sheet .window-content form {
  height: 100%;
  overflow: hidden;
}
.ACE.sheet .window-content .tab {
  height: 100%;
  overflow-y: auto;
  align-content: flex-start;
}
.ACE.sheet input[type="text"],
.ACE.sheet input[type="number"] {
  background: none;
  border: 1px solid transparent;
}
.ACE.sheet input[type="text"]:hover,
.ACE.sheet input[type="number"]:hover,
.ACE.sheet input[type="text"]:focus,
.ACE.sheet input[type="number"]:focus {
  border: 1px solid #111;
}
.ACE.sheet textarea {
  background: none;
  border: 1px solid transparent;
}
.ACE.sheet textarea:hover,
.ACE.sheet textarea:focus {
  border: 1px solid #111;
  box-shadow: 0 0 8px red;
}
.ACE.sheet select {
  font-size: 13px;
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
  height: 22px;
  background: transparent;
}
.ACE.sheet .editable .rollable:hover {
  cursor: pointer;
}
.ACE.sheet .editable h4.rollable:hover,
.ACE.sheet .editable .rollable:hover > h4 {
  color: #000;
  text-shadow: 0 0 10px red;
}
.ACE.sheet span.sep {
  flex: none;
  margin: 0 0px;
  display: inline;
  position: relative;
  color: hsl(60, 5%, 40%);
  font-weight: normal;
}
.ACE.sheet .editor {
  height: 100%;
}
.ACE.sheet .editor .tox-toolbar-overlord,
.ACE.sheet .editor .tox-toolbar__primary {
  background: hsl(60, 7%, 80%);
}
.ACE.sheet .editor .editor-content h1,
.ACE.sheet .editor .editor-content h2,
.ACE.sheet .editor .editor-content h3,
.ACE.sheet .editor .editor-content h4 {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
}
.ACE.sheet .editor .editor-content * {
  margin: 0;
  padding: 5px 0;
}
.ACE.sheet .editor .editor-content .p1 {
  margin-bottom: 4px;
}
.ACE.sheet .warnings,
.ACE.sheet .info {
  flex: 0 0 100%;
  margin: 0;
  padding: 0;
  list-style: none;
}
.ACE.sheet .warnings .notification,
.ACE.sheet .info .notification {
  font-family: 'Signika', sans-serif;
  font-weight: normal;
  font-size: 13px;
  box-shadow: none;
  padding: 2px 8px;
  margin-bottom: 2px;
}
.ACE.sheet .sheet-header {
  flex: 0 0 100px;
  border-bottom: 2px groove hsl(60, 30%, 90%);
  /* Character Name */
  /* Profile Image */
  /* Header Summary Details */
}
.ACE.sheet .sheet-header .header-details {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
}
.ACE.sheet .sheet-header .header-details .summary select {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
  border: 0;
  font-weight: 100;
  height: 100%;
  text-transform: capitalize;
  width: 100%;
}
.ACE.sheet .sheet-header h1 {
  flex: 1;
  border-left: 2px groove hsl(60, 30%, 90%);
  border-bottom: none;
  height: 50px;
  margin: 0;
  padding: 5px 0;
}
.ACE.sheet .sheet-header h1 input {
  display: block;
  height: 40px;
  font-size: 32px;
  margin: 0;
  padding: 6px 0 0 6px;
  width: 100%;
}
.ACE.sheet .sheet-header img.profile {
  background-color: hsl(0, 7%, 90%);
  flex: 0 0 100px;
  max-width: 161.8px;
  height: 100px;
  object-fit: contain;
  border: 2px groove hsl(60, 30%, 90%);
  margin: 2px;
}
.ACE.sheet .sheet-header .summary {
  border-left: 2px groove hsl(60, 30%, 90%);
  border-top: 2px groove hsl(60, 30%, 90%);
  border-bottom: none;
  flex: 0 0 100%;
  height: 40px;
  list-style: none;
  margin: 0;
  padding: 0;
}
.ACE.sheet .sheet-header .summary li {
  color: hsl(60, 5%, 30%);
  border-right: 2px groove hsl(60, 30%, 90%);
  float: left;
  height: calc(100% - 3px);
  line-height: 28px;
  margin: 1px 0 0 2px;
}
.ACE.sheet .sheet-header .summary li:last-child {
  border-right: none;
}
.ACE.sheet .sheet-navigation {
  flex: 0 0 30px;
  margin-bottom: 5px;
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
  font-variant-caps: small-caps;
}
.ACE.sheet .sheet-navigation .item {
  height: 26px;
  line-height: 32px;
  margin: 0 24px;
  border-bottom: 3px solid hsl(0, 7%, 60%);
}
.ACE.sheet .sheet-navigation .item.active {
  border-bottom: 3px solid hsl(0, 50%, 20%);
}
.ACE.sheet .sheet-body {
  flex: 1;
  overflow: hidden;
}
.ACE.sheet .filter-list {
  align-items: center;
  list-style: none;
  margin: 0;
  padding: 0;
  line-height: 16px;
  max-width: 70%;
}
.ACE.sheet .filter-list .filter-icon {
  flex: none;
  font-size: 14px;
  color: hsl(60, 5%, 40%);
}
.ACE.sheet .filter-list .filter-item {
  text-align: center;
  font-size: 12px;
  margin: 0 6px 0 0;
  border-bottom: 3px solid hsl(0, 7%, 60%);
  white-space: nowrap;
}
.ACE.sheet .filter-list .filter-item:last-child {
  margin: 0;
}
.ACE.sheet .filter-list .filter-item:hover {
  text-shadow: 0 0 4px red;
  border-bottom: 3px solid hsl(60, 5%, 40%);
}
.ACE.sheet .filter-list .filter-item.active {
  border-bottom: 3px solid hsl(0, 50%, 20%);
}
.ACE.sheet .traits {
  margin: 5px 0 0;
}
.ACE.sheet .traits .trait-selector,
.ACE.sheet .traits .proficiency-selector {
  flex: 0 0 16px;
  padding: 2px 0;
  color: #999;
  font-size: 10px;
}
.ACE.sheet .traits .traits-list {
  flex: 0 0 100%;
  line-height: 20px;
  list-style: none;
  margin: 0;
  padding: 0;
}
.ACE.sheet .decoration {
  color: hsl(60, 5%, 40%);
  display: inline-block;
  text-align: center;
  width: 18px;
}
.ACE.sheet .items-list {
  list-style: none;
  margin: 0;
  padding: 0;
  overflow-y: auto;
  scrollbar-width: thin;
  color: hsl(60, 5%, 40%);
}
.ACE.sheet .items-list .item-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
.ACE.sheet .items-list .item-name {
  flex: 2;
  margin: 0;
  overflow: hidden;
  font-size: 13px;
  text-align: left;
  align-items: center;
}
.ACE.sheet .items-list .item-name h3,
.ACE.sheet .items-list .item-name h4 {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
  font-size: 16px;
  margin: 0;
  overflow-x: hidden;
  padding: 0 0 0 4px;
  white-space: nowrap;
}
.ACE.sheet .items-list .item-controls {
  flex: 0 0 60px;
  justify-content: space-between;
}
.ACE.sheet .items-list .item-controls a {
  font-size: 12px;
  text-align: center;
}
.ACE.sheet .items-list .item {
  align-items: center;
  border-bottom: 1px solid hsl(60, 7%, 80%);
  margin-bottom: 2px;
  padding-bottom: 2px;
}
.ACE.sheet .items-list .item:last-child {
  border-bottom: none;
  margin-bottom: 0;
  padding-bottom: 0;
}
.ACE.sheet .items-list .item .item-name {
  color: hsl(60, 5%, 20%);
}
.ACE.sheet .items-list .item .item-name .item-image {
  background-color: hsl(0, 7%, 90%);
  background-size: 48.5px;
  border: 1px solid hsl(0, 7%, 60%);
  flex: 0 0 48.5px;
  height: 30px;
}
.ACE.sheet .items-list .items-header {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 700;
  height: 28px;
  margin: 2px 0;
  padding: 0;
  align-items: center;
  background: rgba(0, 0, 0, 0.1);
  border: 2px groove hsl(60, 30%, 90%);
  font-variant-caps: small-caps;
  font-weight: bold;
}
.ACE.sheet .items-list .items-header > * {
  font-size: 12px;
  text-align: center;
}
.ACE.sheet .items-list .items-header h3 {
  border-bottom: 0;
  padding-left: 5px;
  text-align: left;
  font-size: 16px;
}
.ACE.sheet .effects .item .effect-source,
.ACE.sheet .effects .item .effect-duration,
.ACE.sheet .effects .item .effect-controls {
  text-align: center;
  border-left: 1px solid hsl(60, 7%, 80%);
  border-right: 1px solid hsl(60, 7%, 80%);
  font-size: 12px;
}
.ACE.sheet .effects .item .effect-controls {
  border: none;
}
/* ----------------------------------------- */
/* Trait Selector
/* ----------------------------------------- */
.trait-selector .trait-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
.trait-selector .trait-list li ol.trait-list {
  margin-left: 1.5em;
}
.trait-selector input[type="text"] {
  height: 24px;
  margin: 2px;
}
/* ----------------------------------------- */
/*  Property Attribution                     */
/* ----------------------------------------- */
.property-attribution {
  display: none;
  position: absolute;
  padding: 3px;
  border: 1px solid #000;
  border-radius: 4px;
  background-color: rgba(0, 0, 0, 0.8);
  backdrop-filter: blur(4px);
  color: hsl(60, 7%, 80%);
  text-align: left;
  z-index: 1;
}
.property-attribution table {
  margin: 0;
  border: 0;
}
.property-attribution table tr {
  background-color: inherit;
}
.property-attribution table td {
  padding: 3px;
}
.property-attribution table tr.total > td {
  font-weight: 600;
  padding-top: 5px;
  border-top: 1px solid hsl(60, 5%, 40%);
}
.property-attribution table td.attribution-value {
  width: 20%;
  padding-right: 5px;
  text-align: right;
  font-weight: 600;
}
.property-attribution table td::before {
  opacity: 0.6;
}
.property-attribution table td.mode-1::before {
  content: "×";
}
.property-attribution table td.mode-2::before {
  content: "+";
}
.property-attribution table td.mode-2.negative::before {
  content: "−";
  margin-right: -1px;
}
.property-attribution table td.mode-3::before {
  content: "↓";
}
.property-attribution table td.mode-4::before {
  content: "↑";
}
/* ----------------------------------------- */
/*  Actor Type Config Sheet Specifically     */
/* ----------------------------------------- */
.actor-type .trait-list {
  display: flex;
  flex-wrap: wrap;
}
.actor-type .trait-list li {
  flex-basis: 50%;
  flex-grow: 1;
}
.actor-type .trait-list li.form-group {
  flex-basis: 100%;
}
.actor-type label.radio {
  display: flex;
  flex: auto;
  font-size: 12px;
  line-height: 20px;
  font-weight: normal;
}
.actor-type label.radio > input[type="radio"] {
  margin: 0 5px 0 0;
}
.actor-type li.custom-type input[type="radio"] {
  display: none;
}
/* ----------------------------------------- */
/*  Armor Config Sheet Specifically          */
/* ----------------------------------------- */
.ACE.actor-armor-config .ac-field input {
  font-size: 3em;
  text-align: center;
}
/* ----------------------------------------- */
/*  Add Feature Prompt Specifically          */
/* ----------------------------------------- */
.ACE.select-items-prompt .dialog-content {
  margin-bottom: 1em;
}
.ACE.select-items-prompt .items-list {
  margin-top: 0.5em;
}
.ACE.select-items-prompt .item-name > label,
.ACE.select-items-prompt .item-image,
.ACE.select-items-prompt input {
  cursor: pointer;
}
.ACE.select-items-prompt .item-name > label {
  align-items: center;
}
.ACE.select-items-prompt .window-content {
  max-height: 90vh;
  overflow-y: auto;
}
/* ----------------------------------------- */
/*  Sidebar - Window Framework               */
/* ----------------------------------------- */
#sidebar .character-creation {
  width: 95%;
}
h1,
h2,
h3,
h4 {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
}
.ACE.sheet.actor {
  /* ----------------------------------------- */
  /*  Shared Styles                            */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Sheet Header                             */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  General Styles                           */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Attributes                               */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Characteristic Scores                           */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Skills                                   */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Statuses                                 */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Traits                                   */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Inventory Lists                          */
  /* ----------------------------------------- */
  /* Inventory List Filters */
  /* Encumbrance Bar */
  /* ----------------------------------------- */
  /*  Spellbook                                */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Features Tab                             */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  TinyMCE                                  */
  /* ----------------------------------------- */
}
.ACE.sheet.actor .config-button {
  color: hsl(60, 5%, 30%);
  right: -6px;
  top: -3px;
  font-size: 10px;
  font-weight: normal;
}
.ACE.sheet.actor .sheet-header {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
}
.ACE.sheet.actor .sheet-header img.profile {
  flex: 0 0 160px;
  max-width: 160px;
  height: 160px;
}
.ACE.sheet.actor .sheet-header h1.charname {
  flex: 1;
  padding: 5px;
}
.ACE.sheet.actor .sheet-header h1.charname input {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
  font-variant-caps: small-caps;
  font-size: 30px;
  padding: 5px 0 0 5px;
  width: 100%;
}
.ACE.sheet.actor .sheet-header .header-upp {
  flex: 0 0 150px;
  margin-right: 3px;
  height: 50px;
  justify-content: flex-end;
  text-align: right;
}
.ACE.sheet.actor .sheet-header .summary {
  height: 30px;
  font-size: 18px;
}
.ACE.sheet.actor .sheet-header .summary li input {
  display: block;
  height: 24px;
  line-height: 24px;
}
.ACE.sheet.actor .sheet-header .summary li select {
  position: relative;
  top: -4px;
}
.ACE.sheet.actor .sheet-header .attributes {
  flex: 0 0 100%;
  margin: 0;
}
.ACE.sheet.actor .sheet-header .attributes .attribute {
  border: none;
  border-right: 2px groove hsl(60, 30%, 90%);
  border-radius: 0;
  height: calc(100% - 4px);
  margin: 2px 0 0;
}
.ACE.sheet.actor .sheet-header .attributes .attribute:last-child {
  border-right: none;
}
.ACE.sheet.actor .sheet-header .attributes .attribute .attribute-name {
  position: relative;
}
.ACE.sheet.actor .sheet-header .attributes .attribute .attribute-value {
  height: 30px;
  line-height: 30px;
}
.ACE.sheet.actor .sheet-header .attributes .attribute .config-button {
  position: absolute;
  display: none;
}
.ACE.sheet.actor .sheet-header .attributes .attribute:hover .config-button {
  display: block;
}
.ACE.sheet.actor .sheet-header .attributes .attribute input.temphp {
  width: 48%;
}
.ACE.sheet.actor .sheet-header .attributes .attribute .property-attribution {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 500;
  min-width: 150px;
  top: 50px;
  font-size: 14px;
  line-height: 1rem;
}
.ACE.sheet.actor h4.box-title {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
  border-bottom: 1px solid hsl(60, 7%, 80%);
  color: hsl(60, 5%, 30%);
  font-variant-caps: small-caps;
  height: 16px;
  line-height: 14px;
  margin: 2px 8px 1px;
  white-space: nowrap;
}
.ACE.sheet.actor .tab.attributes {
  overflow: hidden;
}
.ACE.sheet.actor ul.attributes {
  border-left: 2px groove hsl(60, 30%, 90%);
  border-top: 2px groove hsl(60, 30%, 90%);
  flex: 0 0 60px;
  list-style: none;
  margin: 0;
  padding: 0;
}
.ACE.sheet.actor ul.attributes li.attribute {
  border: 2px groove hsl(60, 30%, 90%);
  border-radius: 4px;
  height: calc(100% - 6px);
  margin: 2px 0;
  padding: 0;
  text-align: center;
}
.ACE.sheet.actor ul.attributes li.attribute:last-child {
  margin: 0;
}
.ACE.sheet.actor ul.attributes li.attribute .attribute-value {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 700;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 28px;
  line-height: 28px;
}
.ACE.sheet.actor ul.attributes li.attribute .attribute-value > * {
  font-weight: 400;
  font-size: 24px;
  padding: 4px 0 0;
}
.ACE.sheet.actor ul.attributes li.attribute .attribute-value.multiple input {
  flex: 1 1 30%;
  padding: 4px 0 0;
}
.ACE.sheet.actor ul.attributes li.attribute .attribute-footer {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
  flex: 0 0 18px;
  margin-top: -1px;
  line-height: 18px;
  font-size: 12px;
  white-space: nowrap;
}
.ACE.sheet.actor .attributable {
  position: relative;
}
.ACE.sheet.actor .attributable:hover .tooltip {
  display: block;
}
.ACE.sheet.actor .characteristic-scores {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 700;
  flex: 0 0 100px;
  height: 404px;
  list-style: none;
  margin: 0 5px 0;
  padding: 1px 0 2px;
  font-variant-caps: small-caps;
  border: 2px groove hsl(60, 30%, 90%);
  border-radius: 4px;
}
.ACE.sheet.actor .characteristic-scores .characteristic {
  height: 65px;
  text-align: center;
  border-bottom: 2px groove hsl(60, 30%, 90%);
  position: relative;
}
.ACE.sheet.actor .characteristic-scores .characteristic:last-child {
  border-bottom: none;
  margin-bottom: -3px;
}
.ACE.sheet.actor .characteristic-scores .characteristic input.characteristic-score {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
  height: 40px;
  width: 36px;
  margin: 0 auto;
  line-height: 32px;
  font-size: 28px;
  padding-top: 6px;
}
.ACE.sheet.actor .characteristic-scores .characteristic .config-button {
  right: 3px;
  top: 2px;
  position: absolute;
  display: none;
}
.ACE.sheet.actor .characteristic-scores .characteristic:hover .config-button {
  display: block;
}
.ACE.sheet.actor .characteristic-scores .characteristic .characteristic-modifiers {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
  height: 24px;
}
.ACE.sheet.actor .characteristic-scores .characteristic .characteristic-modifiers span.characteristic-mod,
.ACE.sheet.actor .characteristic-scores .characteristic .characteristic-modifiers span.characteristic-current {
  color: hsl(60, 5%, 40%);
  flex: 0 0 20px;
  height: 20px;
  line-height: 22px;
  font-size: 16px;
  text-align: right;
  padding: 0 16px 0 0;
}
.ACE.sheet.actor .characteristic-scores .characteristic .characteristic-modifiers span.characteristic-mod {
  border-left: 2px groove hsl(60, 30%, 90%);
}
.ACE.sheet.actor .characteristic-scores .characteristic .characteristic-modifiers span.characteristic-current {
  border-left: 2px groove hsl(60, 30%, 90%);
  border-top: 2px groove hsl(60, 30%, 90%);
}
.ACE.sheet.actor .proficiency-toggle {
  color: hsl(0, 7%, 60%);
  font-size: 12px;
}
.ACE.sheet.actor .proficient .proficiency-toggle {
  color: hsl(60, 5%, 30%);
}
.ACE.sheet.actor .locked .proficiency-toggle {
  color: hsl(0, 7%, 60%);
  text-shadow: none;
  cursor: default;
}
.ACE.sheet.actor ul.skills-list {
  flex: 0 0 180px;
  height: 404px;
  list-style: none;
  margin: 0 5px 0;
  padding: 1px 0 2px;
  border: 2px groove hsl(60, 30%, 90%);
  border-radius: 4px;
  position: relative;
}
.ACE.sheet.actor ul.skills-list h4 {
  text-align: center;
}
.ACE.sheet.actor ul.skills-list .config-button {
  right: 4px;
  top: 4px;
  position: absolute;
  display: none;
}
.ACE.sheet.actor ul.skills-list:hover .config-button {
  display: block;
}
.ACE.sheet.actor ul.skills-list li.skill {
  height: 24px;
  padding: 2px 2px;
  cursor: pointer;
}
.ACE.sheet.actor ul.skills-list li.skill.rollable:hover .skill-name .skill-image {
  background: url("icons/dice.svg") no-repeat !important;
  border: 0;
  filter: invert(0.5);
}
.ACE.sheet.actor ul.skills-list li.skill.rollable .skill-name .skill-image:hover {
  background: url("icons/dice.svg") no-repeat !important;
  border: 0;
  filter: invert(0);
}
.ACE.sheet.actor ul.skills-list li.skill:nth-child(even) {
  background: rgba(0, 0, 0, 0.05);
}
.ACE.sheet.actor ul.skills-list li.skill .skill-name {
  padding: 2px 0 0;
}
.ACE.sheet.actor ul.skills-list li.skill .skill-name .skill-image {
  background-color: hsl(60, 7%, 80%);
  background-size: 18px;
  border: 1px solid hsl(60, 5%, 40%);
  height: 20px;
  max-width: 20px;
  width: 20px;
}
.ACE.sheet.actor ul.skills-list li.skill h4 {
  margin: 0;
  font-size: 11px;
  line-height: 18px;
}
.ACE.sheet.actor ul.skills-list li.skill .skill-proficiency {
  flex: 0 0 16px;
  line-height: 18px;
}
.ACE.sheet.actor ul.skills-list li.skill .skill-proficiency img {
  background-color: gray;
}
.ACE.sheet.actor ul.skills-list li.skill .skill-name-controls {
  position: relative;
}
.ACE.sheet.actor ul.skills-list li.skill .skill-characteristic {
  flex: 0 0 26px;
  text-transform: capitalize;
}
.ACE.sheet.actor ul.skills-list li.skill .skill-mod {
  flex: 0 0 20px;
  padding: 3px 0 0;
}
.ACE.sheet.actor ul.skills-list li.skill .skill-passive {
  color: hsl(60, 5%, 40%);
  flex: 0 0 26px;
  padding: 3px 0 0;
  text-align: center;
}
.ACE.sheet.actor .counters {
  flex: none;
  padding: 5px 0;
  margin: 0;
  border-bottom: 2px groove hsl(60, 30%, 90%);
}
.ACE.sheet.actor .counters .counter {
  height: 20px;
  line-height: 20px;
}
.ACE.sheet.actor .counters .counter h4 {
  flex: auto;
  margin: 0;
  font-size: 13px;
  font-weight: bold;
  color: hsl(60, 5%, 30%);
}
.ACE.sheet.actor .counters .counter .counter-value {
  flex: none;
  text-align: right;
}
.ACE.sheet.actor .counters .counter .counter-value > * {
  display: inline;
}
.ACE.sheet.actor .counters .counter input[type="text"],
.ACE.sheet.actor .counters .counter input[type="number"] {
  height: 20px;
  max-width: 20px;
  margin: 0;
  padding: 0;
  text-align: center;
}
.ACE.sheet.actor .counters .counter input[type="checkbox"] {
  position: relative;
  width: 16px;
  height: 16px;
  margin: 0;
  top: 4px;
}
.ACE.sheet.actor .counters .counter span.sep {
  font-size: 12px;
}
.ACE.sheet.actor .center-pane {
  height: 100%;
  padding: 0 5px 0 3px;
  overflow-y: auto;
  scrollbar-width: thin;
}
.ACE.sheet.actor .traits .form-group,
.ACE.sheet.actor .traits .form-group-stacked {
  margin: 0 0 3px 0;
  justify-content: space-between;
}
.ACE.sheet.actor .traits .config-button {
  flex: 1;
}
.ACE.sheet.actor .traits label {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 700;
  flex: none;
  line-height: 20px;
  margin: 0 10px 0 0;
}
.ACE.sheet.actor .traits select {
  background: hsl(0, 7%, 90%);
  max-width: 200px;
}
.ACE.sheet.actor .traits input {
  text-align: right;
}
.ACE.sheet.actor .traits i.fas {
  float: right;
  margin-right: 3px;
  text-align: right;
  color: #999;
}
.ACE.sheet.actor .traits i.fas:hover {
  color: #111;
  text-shadow: 0 0 10px red;
}
.ACE.sheet.actor .traits .inactive {
  color: hsl(60, 5%, 40%);
}
.ACE.sheet.actor .tab.features,
.ACE.sheet.actor .tab.inventory,
.ACE.sheet.actor .tab.spellbook {
  overflow-y: hidden;
}
.ACE.sheet.actor .inventory-filters {
  margin: 0 8px;
  flex: 0 0 20px;
  justify-content: flex-end;
}
.ACE.sheet.actor .inventory-filters .currency {
  flex: 0 0 100%;
  list-style: none;
  margin: 4px 0 8px;
  padding: 0;
  font-size: 12px;
}
.ACE.sheet.actor .inventory-filters .currency label {
  flex: 0;
  margin-left: 8px;
  text-align: right;
  line-height: 20px;
  color: hsl(60, 5%, 40%);
}
.ACE.sheet.actor .inventory-filters .currency input[type="text"] {
  flex: 0 0 48px;
  text-align: center;
  margin-left: 8px;
  border-bottom: 2px groove hsl(60, 30%, 90%);
}
.ACE.sheet.actor .inventory-list {
  padding: 0 5px;
}
.ACE.sheet.actor .inventory-list .item .item-name {
  cursor: pointer;
  margin-left: 2px;
}
.ACE.sheet.actor .inventory-list .item .item-name.rollable:hover .item-image {
  background: url("icons/dice.svg") no-repeat !important;
  border: 0;
  filter: invert(0.5);
}
.ACE.sheet.actor .inventory-list .item .item-name.rollable .item-image:hover {
  background: url("icons/dice.svg") no-repeat !important;
  border: 0;
  filter: invert(0);
}
.ACE.sheet.actor .inventory-list .item .item-uses input {
  width: 24px;
  text-align: center;
}
.ACE.sheet.actor .inventory-list .item .item-properties {
  margin-top: 3px;
}
.ACE.sheet.actor .inventory-list .item .item-recharge {
  flex: 0 0 80px;
  text-align: right;
  font-size: 11px;
  white-space: nowrap;
}
.ACE.sheet.actor .inventory-list .inventory-header .item-controls a.item-create {
  flex: 0 0 100%;
}
.ACE.sheet.actor .inventory-list .item-detail {
  flex: 0 0 70px;
  font-size: 12px;
  text-align: center;
  border-right: 1px solid hsl(60, 7%, 80%);
  word-break: break-word;
  white-space: nowrap;
  overflow: hidden;
}
.ACE.sheet.actor .inventory-list .item-detail:last-child {
  border-right: none;
}
.ACE.sheet.actor .inventory-list .item-detail.item-action {
  flex: 0 0 100px;
}
.ACE.sheet.actor .inventory-list .item-detail.attunement {
  flex: 0 0 24px;
}
.ACE.sheet.actor .inventory-list .item-weight {
  flex: 0 0 60px;
  border-left: 1px solid hsl(60, 7%, 80%);
  border-right: 1px solid hsl(60, 7%, 80%);
}
.ACE.sheet.actor .inventory-list .item-controls {
  flex: 0 0 44px;
}
.ACE.sheet.actor .inventory-list .item-summary {
  font-family: 'Roboto';
  font-kerning: normal;
  font-stretch: condensed;
  font-weight: 400;
  color: hsl(60, 5%, 20%);
  flex: 0 0 100%;
  padding: 0.25em 0.5em;
}
.ACE.sheet.actor .inventory-list .item-summary p {
  margin: 0;
}
.ACE.sheet.actor .encumbrance {
  flex: 0 0 14px;
  background: hsl(60, 5%, 40%);
  margin: 1px 19px 0 1px;
  border: 1px solid hsl(60, 5%, 20%);
  border-radius: 4px;
  position: relative;
}
.ACE.sheet.actor .encumbrance .encumbrance-bar {
  position: absolute;
  top: 1px;
  left: 1px;
  background: #0C0;
  height: 10px;
  border: 1px solid #EEE;
  border-radius: 2px;
}
.ACE.sheet.actor .encumbrance .encumbrance-label {
  height: 14px;
  padding: 2px 2px 0px;
  position: absolute;
  top: 0;
  right: 0;
  font-size: 13px;
  line-height: 12px;
  text-align: right;
  color: #EEE;
  text-shadow: 0 0 5px #000;
}
.ACE.sheet.actor .encumbrance .encumbrance-breakpoint {
  display: block;
  position: absolute;
}
.ACE.sheet.actor .encumbrance .encumbrance-breakpoint.encumbrance-33 {
  left: 33%;
}
.ACE.sheet.actor .encumbrance .encumbrance-breakpoint.encumbrance-66 {
  left: 66%;
}
.ACE.sheet.actor .encumbrance .arrow-up {
  bottom: 0;
  width: 0;
  height: 0;
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-bottom: 4px solid #666;
}
.ACE.sheet.actor .encumbrance .arrow-down {
  top: 0;
  width: 0;
  height: 0;
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-top: 4px solid #666;
}
.ACE.sheet.actor .encumbrance.encumbered .arrow-up {
  border-bottom: 4px solid #000;
}
.ACE.sheet.actor .encumbrance.encumbered .arrow-down {
  border-top: 4px solid #000;
}
.ACE.sheet.actor .spellcasting-characteristic {
  flex: 0 0 240px;
  margin: 0;
}
.ACE.sheet.actor .spellcasting-characteristic label,
.ACE.sheet.actor .spellcasting-characteristic span {
  flex: none;
}
.ACE.sheet.actor .spellcasting-characteristic input {
  flex: 0 0 28px;
  text-align: center;
}
.ACE.sheet.actor .spellcasting-characteristic select {
  margin: 0 5px;
  flex: 0 0 120px;
}
.ACE.sheet.actor .spell-slots,
.ACE.sheet.actor .spell-comps {
  flex: none;
  padding: 0 5px;
  font-size: 12px;
  color: hsl(60, 5%, 40%);
  border-right: 1px solid hsl(60, 7%, 80%);
}
.ACE.sheet.actor .spell-slots input {
  display: inline;
  max-width: 20px;
}
.ACE.sheet.actor .spell-slots .sep {
  font-size: 13px;
  font-weight: normal;
}
.ACE.sheet.actor .spellbook .spell-uses {
  padding-right: 5px;
  text-align: right;
  color: hsl(60, 5%, 40%);
}
.ACE.sheet.actor .spell-school,
.ACE.sheet.actor .spell-action,
.ACE.sheet.actor .spell-target {
  flex: 0 0 100px;
  font-size: 12px;
  color: hsl(60, 5%, 40%);
  text-align: center;
  border-right: 1px solid hsl(60, 7%, 80%);
}
.ACE.sheet.actor .spell-component {
  line-height: 14px;
}
.ACE.sheet.actor .spell-component.C,
.ACE.sheet.actor .spell-component.R {
  display: inline-block;
  text-align: center;
  padding-top: 1px;
  width: 16px;
  color: hsl(60, 7%, 80%);
  background: rgba(0, 0, 0, 0.4);
  border: 1px solid transparent;
  border-radius: 8px;
}
.ACE.sheet.actor .spellbook-empty .item-controls {
  flex: 1;
}
.ACE.sheet.actor .features i.original-class {
  color: #4b4a44;
}
.ACE.sheet.actor .editor {
  padding: 0 8px;
}
#actor-flags .window-content {
  overflow-y: hidden;
}
#actor-flags form {
  height: 100%;
}
#actor-flags .form-body {
  height: calc(100% - 40px);
  padding-right: 8px;
  margin-bottom: 4px;
  overflow-y: auto;
  scrollbar-width: thin;
}
.ACE.sheet.item {
  min-height: 400px;
  max-height: 95%;
  min-width: 480px;
  /* ----------------------------------------- */
  /*  Sheet Header                             */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Item Details Form                        */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Item Actions                             */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Item Actions                             */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Loot Sheet (No Tabs)                     */
  /* ----------------------------------------- */
}
.ACE.sheet.item .sheet-header h1.itemname {
  flex: 1;
  padding: 2px 5px 2px 2px;
}
.ACE.sheet.item .sheet-header h1.itemname textarea {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
  font-variant-caps: small-caps;
  font-size: 21px;
  resize: none;
  width: 100%;
}
.ACE.sheet.item .sheet-header .item-subtitle {
  flex: 0 0 100px;
  height: 60px;
  margin: 0;
  padding: 5px;
  text-align: right;
  color: hsl(60, 5%, 40%);
}
.ACE.sheet.item .sheet-header .item-subtitle .item-type {
  font-size: 24px;
  line-height: 26px;
  margin: 0;
}
.ACE.sheet.item .sheet-header .item-subtitle .item-status {
  font-size: 14px;
  line-height: 24px;
}
.ACE.sheet.item .sheet-body {
  overflow: hidden;
}
.ACE.sheet.item .sheet-body .tab {
  padding: 0 5px;
  overflow: hidden auto;
}
.ACE.sheet.item .sheet-body .item-properties {
  flex: 0 0 140px;
  margin: 0 5px 0 0;
  padding-right: 5px;
  border-right: 2px groove hsl(60, 30%, 90%);
}
.ACE.sheet.item .sheet-body .item-properties .form-group {
  margin: 0;
}
.ACE.sheet.item .sheet-body .item-properties .form-group label {
  font-family: 'Orbitron';
  line-height: 20px;
}
.ACE.sheet.item .sheet-body .item-properties .form-group input {
  flex: 2;
  text-align: right;
}
.ACE.sheet.item .sheet-body .item-properties .properties-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
.ACE.sheet.item .sheet-body .item-properties .properties-list li {
  margin: 3px 0;
  padding: 0 2px;
  background: rgba(0, 0, 0, 0.05);
  border: 2px groove hsl(60, 30%, 90%);
  text-align: center;
  font-size: 12px;
  line-height: 18px;
}
.ACE.sheet.item .details input[type="text"],
.ACE.sheet.item .details input[type="number"],
.ACE.sheet.item .details select {
  height: 24px;
  border: 1px solid hsl(60, 5%, 40%);
  background: hsl(0, 7%, 90%);
}
.ACE.sheet.item .details .form-group span {
  text-align: center;
  line-height: 24px;
}
.ACE.sheet.item .details .form-group.input-select select {
  flex: 1.8;
}
.ACE.sheet.item .details .form-group.input-select-select select {
  flex: 1.5;
}
.ACE.sheet.item .details .form-group.uses-per .form-fields {
  flex-wrap: nowrap;
}
.ACE.sheet.item .details .form-group.uses-per input {
  flex: 0 0 32px;
}
.ACE.sheet.item .details .form-group.uses-per span {
  flex: 0 0 16px;
  margin: 0 4px 0 0;
}
.ACE.sheet.item .details span.sep {
  flex: 0 0 8px;
}
.ACE.sheet.item .details .prepared {
  flex: 1.3 !important;
  text-align: right;
  padding-right: 10px;
}
.ACE.sheet.item .details .spell-materials {
  flex: 0 0 100%;
  margin: 0.25em 0;
  justify-content: flex-end;
}
.ACE.sheet.item .details .spell-materials label {
  flex: 0 0 64px;
  text-align: right;
  margin-right: 5px;
  font-size: 12px;
  line-height: 24px;
}
.ACE.sheet.item .details .spell-materials input[type="text"] {
  flex: 0 0 48px;
  margin-right: 10px;
}
.ACE.sheet.item h4.damage-header {
  margin: 0;
  padding: 0;
  font-weight: bold;
  line-height: 24px;
  color: hsl(60, 5%, 30%);
}
.ACE.sheet.item .damage-parts {
  list-style: none;
  margin: 0;
  padding: 0;
}
.ACE.sheet.item .damage-parts .damage-part {
  flex: 0 0 100%;
  padding: 0;
}
.ACE.sheet.item .damage-parts .damage-part input {
  flex: 3;
}
.ACE.sheet.item .damage-parts .damage-part select {
  margin-left: 5px;
  flex: 1;
}
.ACE.sheet.item .damage-control {
  width: 18px;
  flex: 0 0 18px;
  line-height: 24px;
  float: right;
  text-align: right;
  color: hsl(60, 5%, 40%);
}
.ACE.sheet.item .recharge.form-group span {
  text-align: right;
  padding-right: 3px;
}
.ACE.sheet.item .recharge.form-group input[type="text"] {
  flex: 0 0 32px;
  text-align: center;
}
.ACE.sheet.item .recharge.form-group label.checkbox {
  flex: none;
}
.ACE.sheet.item .recharge.form-group label.checkbox input {
  width: 16px;
  height: 16px;
  top: 4px;
}
.ACE.sheet.item .weapon-properties label.checkbox {
  flex: 0 0 98px;
}
.ACE.sheet.item .loot-header {
  margin-bottom: 10px;
}
/* ----------------------------------------- */
/*  Chat Messages                            */
/* ----------------------------------------- */
#chat-controls .roll-type-select {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
  background: hsl(0, 7%, 90%);
  font-size: 12px;
  margin: 2px 6px;
}
#chat-form textarea {
  background: url("ui/sheet-background.jpg") repeat;
}
.chat-message {
  background: url("ui/sheet-background.jpg") repeat;
}
.chat-message .message-header {
  color: hsl(60, 5%, 30%);
}
.chat-message .message-header .message-sender {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
}
.chat-message.whisper {
  background: hsl(60, 5%, 30%);
  border-color: hsl(60, 5%, 30%);
}
.chat-message.whisper .message-header {
  color: hsl(0, 7%, 90%);
}
.chat-message.whisper .message-content {
  background: url("ui/sheet-background.jpg") repeat;
}
.chat-message.whisper .message-content .chat-card .card-header {
  padding: 2px;
}
.chat-message.whisper .message-content .chat-card .card-buttons {
  padding: 0 3px;
}
.chat-message.whisper .message-content .chat-card .card-content {
  padding: 0 3px;
}
.chat-message.whisper .message-content .dice-roll {
  padding: 3px;
}
.chat-message.whisper .message-content .nue {
  padding: 0 2px;
}
/* ----------------------------------------- */
/*  Chat Cards                               */
/* ----------------------------------------- */
.ACE.chat-card {
  font-style: normal;
  font-size: 12px;
}
.ACE.chat-card.item-card h2 {
  padding: 3px 0;
  border: none;
  flex: 1;
  margin: 0;
  line-height: 36px;
  font-family: "Nodesto", "Signika", "Palatino Linotype", serif;
  font-size: 20px;
  color: black;
  opacity: 0.9;
  margin-bottom: 4px;
}
.ACE.chat-card .card-header {
  border-top: 2px groove #FFF;
  padding: 2px 0 0;
}
.ACE.chat-card .card-header img {
  background: hsl(0, 7%, 90%);
  border: 0;
  flex: 0 0 58px;
  margin-left: 1px;
  margin-right: 5px;
}
.ACE.chat-card .card-header h3 {
  border: 0;
  flex: 1;
  margin: 0;
  line-height: 37px;
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
  color: hsl(60, 5%, 30%);
}
.ACE.chat-card .card-header h3:hover {
  color: #111;
  text-shadow: 0 0 10px red;
}
.ACE.chat-card .card-content {
  font-family: 'Roboto';
  font-kerning: normal;
  font-stretch: condensed;
  font-weight: 400;
  border-top: 2px groove #FFF;
  margin: 2px 0 0;
  padding: 2px 0;
}
.ACE.chat-card .card-content h3 {
  font-size: 12px;
  margin: 0;
  font-weight: bold;
}
.ACE.chat-card .card-content > * {
  -webkit-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  user-select: text;
  margin: 0.3em 0.2em;
}
.ACE.chat-card .card-buttons {
  margin: 0 0 2px;
}
.ACE.chat-card .card-buttons span {
  display: block;
  line-height: 28px;
  text-align: center;
  border: 1px solid #CCC;
}
.ACE.chat-card .card-buttons button {
  font-size: 12px;
  height: 24px;
  line-height: 20px;
  margin: 2px 0;
}
.ACE.chat-card .card-footer {
  padding: 0 0.25em;
  border-top: 2px groove #FFF;
}
.ACE.chat-card .card-footer span {
  border-right: 2px groove #FFF;
  padding-right: 0.4em;
  font-size: 10px;
}
.ACE.chat-card .card-footer span:last-child {
  border-right: none;
  padding-right: 0;
}
.dice-roll .dice-total.success {
  color: inherit;
  background: #c7d0c0;
  border: 1px solid #006c00;
}
.dice-roll .dice-total.failure {
  color: inherit;
  background: #ffdddd;
  border: 1px solid #6e0000;
}
.dice-roll .dice-total.exc_success {
  color: green;
}
.dice-roll .dice-total.exc_failure {
  color: red;
}
/* ----------------------------------------- */
/*  Basic Structure                          */
/* ----------------------------------------- */
.ACE.sheet.actor.character,
.ACE.sheet.actor.npc {
  min-width: 720px;
  min-height: 645px;
  /* ----------------------------------------- */
  /*  Sheet Header                             */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Sheet Body                               */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Item Controls                            */
  /* ----------------------------------------- */
  /* ----------------------------------------- */
  /*  Biography                                */
  /* ----------------------------------------- */
}
.ACE.sheet.actor.character .sheet-header header,
.ACE.sheet.actor.npc .sheet-header header {
  flex: 0 0 160px;
}
.ACE.sheet.actor.character .sheet-header img.profile,
.ACE.sheet.actor.npc .sheet-header img.profile {
  flex: 0 0 160px;
  max-width: 160px;
  height: 160px;
  border-width: 0px;
}
.ACE.sheet.actor.character .sheet-header .char-upp,
.ACE.sheet.actor.npc .sheet-header .char-upp {
  flex: 0 0 25px;
  align-items: center;
  font-size: 18px;
  color: hsl(60, 5%, 40%);
  white-space: nowrap;
}
.ACE.sheet.actor.character .sheet-header .char-upp span,
.ACE.sheet.actor.npc .sheet-header .char-upp span {
  color: hsl(60, 5%, 40%);
  margin-right: 3px;
  text-align: left;
  width: calc(100% - 2px);
}
.ACE.sheet.actor.character .sheet-header .age,
.ACE.sheet.actor.npc .sheet-header .age {
  flex: 0 0 25px;
  align-items: center;
  color: hsl(60, 5%, 40%);
  font-size: 18px;
}
.ACE.sheet.actor.character .sheet-header .age span,
.ACE.sheet.actor.npc .sheet-header .age span {
  flex: none;
  margin-left: 3px;
  text-align: left;
}
.ACE.sheet.actor.character .sheet-header .age input[type="number"],
.ACE.sheet.actor.npc .sheet-header .age input[type="number"] {
  color: hsl(60, 5%, 40%);
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
}
.ACE.sheet.actor.character .sheet-header .funds,
.ACE.sheet.actor.npc .sheet-header .funds {
  align-items: center;
  color: black;
  height: 22px;
  line-height: 22px;
  padding: 2px 0 0;
}
.ACE.sheet.actor.character .sheet-header .funds input[type="number"],
.ACE.sheet.actor.npc .sheet-header .funds input[type="number"] {
  color: black;
  display: block;
  padding: 0;
}
.ACE.sheet.actor.character .sheet-header .funds span,
.ACE.sheet.actor.npc .sheet-header .funds span {
  flex: none;
  margin-left: 3px;
  text-align: left;
}
.ACE.sheet.actor.character .sheet-header .characteristics a.rest,
.ACE.sheet.actor.npc .sheet-header .characteristics a.rest {
  border: 1px solid hsl(0, 7%, 60%);
  border-radius: 4px;
  background: rgba(0, 0, 0, 0.05);
  padding: 0 3px;
  margin: 0 3px;
}
.ACE.sheet.actor.character .sheet-header .characteristics .hit-dice,
.ACE.sheet.actor.npc .sheet-header .characteristics .hit-dice {
  font-size: 24px;
}
.ACE.sheet.actor.character .sheet-header .characteristics .initiative .attribute-footer input,
.ACE.sheet.actor.npc .sheet-header .characteristics .initiative .attribute-footer input {
  width: 32px;
}
.ACE.sheet.actor.character .sheet-header .summary .proficiency,
.ACE.sheet.actor.npc .sheet-header .summary .proficiency {
  text-align: right;
  padding-right: 5px;
}
.ACE.sheet.actor.character .resource .attribute-value > input,
.ACE.sheet.actor.npc .resource .attribute-value > input {
  flex: 0 0 25%;
}
.ACE.sheet.actor.character .resource .attribute-value label.recharge,
.ACE.sheet.actor.npc .resource .attribute-value label.recharge {
  height: 32px;
  position: relative;
  font-family: "Orbitron", sans-serif;
  font-size: 11px;
  text-align: center;
  color: hsl(60, 5%, 30%);
  align-items: center;
}
.ACE.sheet.actor.character .resource .attribute-value label.recharge input[type="checkbox"],
.ACE.sheet.actor.npc .resource .attribute-value label.recharge input[type="checkbox"] {
  flex-basis: 14px;
  height: 14px;
  width: 14px;
  margin: 0;
  top: -6px;
}
.ACE.sheet.actor.character ul.skills-list,
.ACE.sheet.actor.npc ul.skills-list {
  flex: 0 0 212px;
}
.ACE.sheet.actor.character ul.skills-list li.skill h4,
.ACE.sheet.actor.npc ul.skills-list li.skill h4 {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 500;
  margin: 0 0 0 4px;
  font-size: 13px;
  text-align: left;
}
.ACE.sheet.actor.character .item-detail.player-class,
.ACE.sheet.actor.npc .item-detail.player-class {
  flex: 0 0 180px;
  text-align: right;
  padding-right: 10px;
}
.ACE.sheet.actor.character .inventory .item-controls,
.ACE.sheet.actor.npc .inventory .item-controls,
.ACE.sheet.actor.character .spellbook .item-controls,
.ACE.sheet.actor.npc .spellbook .item-controls {
  flex: 0 0 68px;
}
.ACE.sheet.actor.character .inventory .item-controls .item-toggle,
.ACE.sheet.actor.npc .inventory .item-controls .item-toggle,
.ACE.sheet.actor.character .spellbook .item-controls .item-toggle,
.ACE.sheet.actor.npc .spellbook .item-controls .item-toggle {
  color: hsl(0, 7%, 60%);
}
.ACE.sheet.actor.character .inventory .item-controls .item-toggle.active,
.ACE.sheet.actor.npc .inventory .item-controls .item-toggle.active,
.ACE.sheet.actor.character .spellbook .item-controls .item-toggle.active,
.ACE.sheet.actor.npc .spellbook .item-controls .item-toggle.active {
  color: hsl(60, 5%, 30%);
}
.ACE.sheet.actor.character .inventory .item-controls .item-toggle.fixed,
.ACE.sheet.actor.npc .inventory .item-controls .item-toggle.fixed,
.ACE.sheet.actor.character .spellbook .item-controls .item-toggle.fixed,
.ACE.sheet.actor.npc .spellbook .item-controls .item-toggle.fixed {
  color: hsl(0, 50%, 20%);
}
.ACE.sheet.actor.character .inventory .item-controls .item-toggle.fixed:hover,
.ACE.sheet.actor.npc .inventory .item-controls .item-toggle.fixed:hover,
.ACE.sheet.actor.character .spellbook .item-controls .item-toggle.fixed:hover,
.ACE.sheet.actor.npc .spellbook .item-controls .item-toggle.fixed:hover {
  text-shadow: none;
}
.ACE.sheet.actor.character .characteristics,
.ACE.sheet.actor.npc .characteristics {
  flex: 0 0 180px;
  height: 100%;
  padding: 0 3px 3px;
}
.ACE.sheet.actor.character .characteristics label,
.ACE.sheet.actor.npc .characteristics label {
  flex: 0 0 20px;
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 20px;
  text-align: center;
}
.ACE.sheet.actor.character .characteristics textarea,
.ACE.sheet.actor.npc .characteristics textarea {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 500;
  font-size: 13px;
  border: 1px solid hsl(60, 7%, 80%);
  resize: none;
}
.ACE.sheet.actor.character .biography,
.ACE.sheet.actor.npc .biography {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 500;
  font-size: 13px;
  max-width: calc(100% - 180px);
}
/* ----------------------------------------- */
/*  Sidebar Styling                          */
/* ----------------------------------------- */
.chat-message .message-content {
  font-family: 'Roboto';
  font-kerning: normal;
  font-stretch: condensed;
  font-weight: 400;
  font-size: 12px;
}
.chat-message .message-header .flavor-text {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 500;
}
.combat-sidebar {
  font-family: 'Orbitron';
}
.combat-sidebar #combat-controls a.center {
  font-size: 16px;
}
.combat-sidebar li.combatant .roll {
  background: none;
  font-weight: 300;
  font-family: "Font Awesome 6 Pro";
  font-size: 26px;
}
.combat-sidebar li.combatant .roll:before {
  content: "\f522";
  color: white;
}
.combat-sidebar li.combatant .roll:hover {
  background: none;
  content: "\f522";
  color: red;
}
.compendium-sidebar li.compendium-pack .compendium-footer {
  font-family: 'Roboto';
  font-kerning: normal;
  font-stretch: condensed;
  font-weight: 400;
}
.compendium-sidebar h3 {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
}
.directory .action-buttons button {
  font-family: 'Roboto';
  font-kerning: normal;
  font-stretch: condensed;
  font-weight: 400;
}
.directory .directory-header .create-character {
  font-family: 'Roboto';
  font-kerning: normal;
  font-stretch: condensed;
  font-weight: 400;
  height: 28px;
  margin: 4px;
}
.directory .directory-header .header-search input {
  font-family: 'Roboto';
  font-kerning: normal;
  font-stretch: condensed;
  font-weight: 400;
}
.directory .directory-list .directory-item {
  background-color: hsla(60, 5%, 20%, 0.2);
}
.directory .directory-list .directory-item h3,
.directory .directory-list .directory-item h4 {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
  font-size: 0.875em;
}
.directory .directory-list .directory-item img {
  height: 48px;
  width: 78px;
}
.playlists-sidebar h4 {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 500;
}
.window-app .window-content {
  background: url("ui/sheet-background.jpg") repeat;
}
